@if(isOpen){
  <div class="animate-fadeIn fixed inset-0 flex z-50 justify-center items-center bg-black bg-opacity-90">
    <button class="absolute top-4 right-4 text-white border-2 px-7 py-2 rounded-full" (click)="close()">Fermer <i class="fa-regular fa-circle-xmark ml-2"></i></button>
    <div class="w-full max-w-3xl md:w-3/4 p-4 rounded shadow-lg">
      <app-carousel *ngIf="images.length > 0" [dataList]="images" [itemTemplate]="galleryTemplate" [customOptions]="customOptions">
        <ng-template #galleryTemplate let-item>
          <div class="relative">
            <img [src]="item" alt="Image" class="w-full h-60 md:h-96 rounded" />
          </div>
        </ng-template>
      </app-carousel>
    </div>
  </div>
}
